#/bin/bash

## Used to isolate possible compiler specific problem
export CC=clang
export CXX=clang++

## Make sure BOOST_ROOT is defined
# export BOOST_ROOT=....

## Build the Makefile (requires premake4 to be installed)
premake4 gmake

## Build for the current OS, i.e. "darwin" or "linux" 
make config=$(uname -s | tr '[:upper:]' '[:lower:]')